Package org.apache.sling.testing.junit.rules

## Class InstanceConfigRule

- java.lang.Object
- - org.apache.sling.testing.junit.rules.InstanceConfigRule

All Implemented Interfaces:
  `org.junit.rules.TestRule`

    public class InstanceConfigRule
    extends Object
    implements org.junit.rules.TestRule

### Field Summary

Fields
`static org.slf4j.Logger` `LOG`

### Constructor Summary

Constructors
`InstanceConfigRule()` Uses an EmptyInstanceConfig (e.g.
`InstanceConfigRule​(T instanceConfig)`
`InstanceConfigRule​(T instanceConfig, boolean withRestore)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.junit.runners.model.Statement` `apply​(org.junit.runners.model.Statement base, org.junit.runner.Description description)`
`<T extends Action> InstanceConfigRule` `withAction​(T action)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOG

    public static final org.slf4j.Logger LOG

### Constructor Detail

#### InstanceConfigRule

    public InstanceConfigRule​(T instanceConfig,
                              boolean withRestore)

#### InstanceConfigRule

    public InstanceConfigRule​(T instanceConfig)

#### InstanceConfigRule

    public InstanceConfigRule()

Uses an EmptyInstanceConfig (e.g. does nothing)

### Method Detail

#### withAction

    public <T extends Action> InstanceConfigRule withAction​(T action)

#### apply

    public org.junit.runners.model.Statement apply​(org.junit.runners.model.Statement base,
                                                   org.junit.runner.Description description)

Specified by:
  `apply` in interface `org.junit.rules.TestRule`